Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FarEditor Class Reference
[FAR Manager plugin]

Inheritance diagram for FarEditor:

## Detailed Description

FAR Editor internal plugin structures.

Implements text parsing and different editor extended functions.

## Public Member Functions
| FarEditor (PluginStartupInfo *info, ParserFactory *pf)
| Creates FAR editor instance.
| ~FarEditor ()
| Drops this editor.
void | endJob (int lno)
String * | getLine (int lno)
void | setFileType (FileType *ftype)
| Changes current assigned file type.
FileType * | getFileType ()
| Returns currently selected file type.
void | chooseFileType (String *fname)
| Selects file type with it's extension and first lines.
void | setRegionMapper (RegionMapper *rs)
| Installs specified RegionMapper implementation.
void | setDrawCross (bool drawCross)
| Change editor properties.
void | setDrawPairs (bool drawPairs)
void | setDrawSyntax (bool drawSyntax)
void | setOutlineStyle (bool oldStyle)
void | setMaxTime (int maxTime)
void | matchPair ()
| Editor action: pair matching.
void | selectPair ()
| Editor action: pair selection.
void | selectBlock ()
| Editor action: pair selection with current block.
void | selectRegion ()
| Editor action: Selection of current region under cursor.
void | listFunctions ()
| Editor action: Lists fuctional region.
void | listErrors ()
| Editor action: Lists syntax errors in text.
void | locateFunction ()
| Locates a function under cursor and tries to jump to it using outliner information.
void | updateHighlighting ()
| Invalidates current syntax highlighting.
void | selectEncoding ()
| Shows menu to select editor encoding.
int | editorEvent (int event, void *param)
| Handle passed FAR editor event.
int | editorInput (const INPUT_RECORD *ir)
| Dispatch editor input event.

## Member Function Documentation

void FarEditor::setRegionMapper | ( | RegionMapper * | rs | ) |

| Installs specified RegionMapper implementation. This class serves to request mapping of regions into real colors.

void FarEditor::setDrawCross | ( | bool | drawCross | ) |

| Change editor properties. These overwrites default HRC settings

int FarEditor::editorEvent | ( | int | event,
|  | void * | param
| ) |

| Handle passed FAR editor event. pair brackets

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.